extends Scene

func _on_room_looked() -> void:
    pass

func _on_kq4_077_swamp_interacted() -> void:
    var target_scene = load("res://scenes/kq4_077_swamp/kq4_077_swamp.tscn")
    if target_scene:
        get_tree().change_scene_to_packed(target_scene)

func _on_kq4_078_swamp_island_interacted() -> void:
    var target_scene = load("res://scenes/kq4_078_swamp_island/kq4_078_swamp_island.tscn")
    if target_scene:
        get_tree().change_scene_to_packed(target_scene)
